part of '../boxw.dart';

class BoxWText extends StatelessWidget {
  final String text;
  final Color borderColor;
  final double borderWidth;
  final TextStyle? style;
  final TextAlign textAlign;
  final TextScaler? textScaler;

  const BoxWText(
    this.text, {
    super.key,
    this.borderColor = Colors.black,
    this.borderWidth = 0.0,
    this.style,
    this.textAlign = TextAlign.start,
    this.textScaler,
  });

  @override
  Widget build(BuildContext context) {
    final textStyle = style ?? DefaultTextStyle.of(context).style;
    return Stack(
      children: <Widget>[
        // Stroked text as border.
        if (borderWidth > 0)
          Text(
            text,
            textAlign: textAlign,
            textScaler: textScaler,
            style: textStyle.copyWith(
              foreground: Paint()
                ..style = PaintingStyle.stroke
                ..strokeJoin = StrokeJoin.round
                ..strokeWidth = borderWidth
                ..color = borderColor,
            ),
          ),
        // Solid text as fill.
        Text(
          text,
          textAlign: textAlign,
          style: textStyle,
          textScaler: textScaler,
        ),
      ],
    );
  }
}
